# Documentation

## Administration

### Projects

These screens allow you to manage projects.

#### Project list

On this screen, you can archive or delete projects.

An archived project is no longer visible by users. It can be un-archived by the administrator.

#### Settings

##### Project properties

- Public : if it’s a public project, it can be viewed (request consultation, documents consultation, ...) for all the users, including those who are not project members. If it’s not a public project, only the project members have access to it, according to their role.

- Subproject of: lets you define the parent project. The hierarchy of the projects is limited to 2 levels. A parent project cannot be itself a sub-project.

- Name: project display name (must be unique).

- Description: description that appears on the project overview.

- Identifier: name of the project used in an internal way by the application (must be unique). Once the project created, this identifier cannot be modified.

- Customized fields : Select the customized fields that you want to use. Only the administrator can define new customized fields.

##### Repository

A source repository can be associated with each project. Once the repository configured, you will be able to browse it and view the revisions. The revisions appear in the Activity view.

##### Wiki

Each project can have its own wiki. To activate it, check the Wiki option in the project settings and give the name for the main page.

##### Members

This screen allows you to define the project members as well as their corresponding roles. A user can have only one role in a given project. The role of a member determines the permissions they have in a project.

##### Versions

Versions allow you to follow the changes made during all the project. For instance, at the close of an Issue, you can indicate which version takes it into account. You can display the various versions of the application (see Files).

##### Request categories

Issue categories allow you to organize Issues. Categories can correspond to different project modules.

##### Forums

Each project can contain one or more discussion forums.

### Users

These screens allow you to manage the application users.

#### Users’ List

Users’ List

Accounts status:

- This icon means that the account is locked. A user having a locked account cannot log in and access the application.

- This icon means that the user hasn't yet actived his account.

The Lock/Unlock buttons allow you to lock/unlock the user accounts.

#### User Creation or Modification

In modification mode, please leave the Password field blank in order to keep the user’s password unchanged.

A user designated as administrator has unrestricted access to the application and to all projects.

- Administrator : designate the user as the administrator of the application.

- E-mail notifications : activate or de-activate automatic e-mail notifications for this user

- Locked : de-activates the user’s account

### Roles and Permissions

Roles organize the permissions of various members of a project. Each member of a project has a one Role in a project. A user can have different roles in different projects.

On the new or edit Role screen, check off the actions authorized for the Role.

### Trackers

Trackers allow the sorting of Issues and can define specific workflows.

### Custom fields

Custom fields allow you to add additional information in Projects, Issues or Users. A custom field can be of one the following types:

- Integer : positive or negative number

- String : a string of characters - one single line of input.

- Text : a string of characters with multiple lines of input. Differs from String Format by providing multiple lines of input instead of a single line.

- Date : date

- Boolean : true or false (check if necessary)

- List : value to select from a predefined list (aka: scroll list or select box)

Validation elements can be defined:

- Required : A required field must have input in the forms

- For all the projects : field automatically associated to all of the projects

- Min - max length : minimum and maximum length for the input fields (0 means that there is no restriction)

- Regular Expression : regular expressions may provide validation of the input value

  Examples:

  `^\[A-Z]{4}\d+$` : 4 capital letters followed by one or several digits

  `^[^0-9]*$` : characters only - no digits

- Possible values : possible values for the fields of "List" type. Values are separated by the character |

#### Fields for Projects

- Required : required field

#### Fields for Issues

- For all projects : field automatically associated to all project Issues

  If this option is not activated, each project could choose whether or not to use the field for its Issues (please see the project configuration).

#### Field for Users

- Required : required field

### Issue status

These screens allow you to define the different possible Issue statuses.

- Closed : indicates Issue is considered as closed

- Default : status applied by default to new Issue requests (only one status can be Default status)

- Color : HTML color code (6 characters) representing the displayed status

### Workflow

The workflow allows to define changes the various project members are allowed to make on the Issues, according to their type.

Select the role and the tracker for which you want to modify the workflow, then click Edit. The screen allows you then to modify the authorized change, for the chosen role and tracker. The Current Status options indicate the initial request status. The "New Statuses allowed" columns stand for the authorized status to apply.

Example of a workflow configuration

In the above example, Bug type Issue requests with a New status could be given an Assigned or Resolved status by the Developer role. Those with an Assigned status could get a Resolved status. The status of all the other Bug type requests cannot be modified by the Developer.

### Enumerations

The value lists used by the application can be customized (for example, setting Issue priorities). This screen allows you to define the possible values for each of the following lists:

- Issue Priorities

- Document Categories

### E-mail notifications

This screen allows you to select the actions that will generate an e-mail notification for project members.

Note: E-mail sending must be activated in the application configuration if you want to make any notifications.

### Authentication

By default, redMine refers to its own database to authenticate users, by a specific password.

If you already have one or several external user references (like LDAP), you can make them known in order to be used for authentication on redMine. This allows users to access redMine with their usual user names and passwords.

For each known reference, you can specify if the accounts can be created on the fly on redMine. If needed, the user accounts will be created automatically during the user’s signing in (without any specific rights on the projects), according to information available in the reference. Otherwise, the administrator must have previously created the user account on redMine.

#### LDAP statement

- Name : reference display name

- Host : LDAP server host name

- Port : connection port to the LDAP server

- Account : DN of the connection account to LDAP (please leave it blank if the directory authorizes anonymous read access)

- Password : password of the connection account

- Base DN : Basic DN used for user search in the directory

- LDAP screen : User search screen in the directory (optional)

- LDAP features :

  - Identifier : LDAP feature name used as user identifier (e.g.: uid)

  - First name : LDAP feature name including the user’s first name (ex: givenName)

  - Last name : LDAP feature name including the user’s last name (ex: familyName)

  - E-mail : LDAP feature name including the user’s e-mail address (ex: mail)

The features" First name ", " Last name " and " E-mail " are not used except when the accounts are created on the fly.

### Settings

This screen allows you to modify the configuration of the application.

- Application title

  Title which appears in heading of the application.

- Application subtitle

  Subtitle which appears in heading of the application.

- Welcome text

  Text displayed on the home page of the application. This text can contain HTML tags.

- Default language

  The default language is selected when the application could not determine the user's browser language. The default language is also used when sending email to multiple users.

  Default: English

- Date format

  Lets you choose how dates are displayed:

  - Language based: the dates will be displayed according to the format defined for each language (MM/JJ/AAAA for English)

  - ISO 8601: the dates will be always displayed with the ISO format (YYYY-MM-DD)

  Default: Language based

- Authent. required

  If this option is checked, no page of the application is accessible in an anonymous way. The users must login to access it.

  Default: No

- Self-registration enabled

  If this option is checked, self registration is allowed.

  Default: Yes

- Lost password

  If this option is checked, lost password functionality is available.

  Default: Yes

- Attachment max. size

  Maximum size of uploaded files (in kylo-bytes)

  Default: 2048 (i.e. 2MB)

- Issues export limit

  Maximum number of issues contained in CSV and PDF exports.

  Default: 500

- Emission mail address

  Email address used in the "From" field of messages sent to users.

- Host name

  Host name of the application. This name is used to write URL in emails sent to users.

- Text formatting

  Formatting method applied to the "description" fields of the issues, news, documents...

  "Textile" option is only available if RedColth ruby library is present.

- Wiki history compression

  Lets you activate compression for wiki history storage (reduces database size).

  Default: disabled

- Feed content limit

  Maximum number of records contained in RSS feeds.

  Default: 15

- Autofetch commits

  If this option is activated, the application automatically retrieves the new revisions when a user consults the repository.

  Default: Yes

  You can disable this option and automate the call to Repository#fetch_changesets to regularly retrieve the revisions for all of the repositories in background.

  Example : `ruby script/runner "Repository.fetch_changesets"`

- Enable WS for repository management

  This option should be activated only if you installed the script for automatic SVN repository creation.

  Default: No

### Information

Displays application and environment information.

## Projects

### Project overview

The overview presents the general project information, its main members, the latest announcements, as well as an synthesis of Issue requests open by tracker.

### Planning

#### Project calendar

Project calendar shows the tasks that begin or end during the selected month (current month by default). An issue will be displayed as a task if its start date and its due date are specified.

- This symbol represents a task that begins

- This symbol represents a task that ends

- Ths symbol represents a task that begins and ends the same day

#### Gantt chart

This diagramme shows tasks and their achievement rate.

Achievement is represented in blue. Delay in red.

Gantt chart

### Issue management

#### Issue list

By default, the entire list of the project open Issues are displayed. Various screens allow you to select the Issues to be displayed. If the project has sub-projects, you have the possibility to display the sub-project's Issues as well (not displayed by default).

Once applied, a screen is valid during the entire session. You can re-define it or delete it by clicking Cancel.

Request list

### Reports

This screen presents the number of Issues and Issue status synthesis according to various criteria (tracker, priority, category). Direct links allow for access to the detailed Issue list for each criterion.

### Activity

This page displays for each month (current month by default) and per day, the events occurred on the project.

- New issues

- Repository changesets

- News

- Added files

- Added documents

- Wiki edits

### Change log

This page presents the entire list of the resolved Issues for each version of the project. Certain trackers can be excluded from this display.

### Roadmap

This page displays the list of the versions of the projects whose date did not pass yet. For each version, the list of the related issues is displayed. Certain trackers can be excluded from this display.

### News

Allows you to inform users on project activity.

### Documents

Documents are grouped by categories (see Value Lists). A document can contain several files (for example: revisions or successive versions).

### Wiki

#### Wiki syntax

##### Formatting

- `*bold*`

- `_italic_`

- `+underline+`

- `-strike-`

- `??inline quote??`

- `@code@`

- `h1. page title`

- `h2. level 2 title`

- `h3. level 3 title`

##### Links

- External link : `http://www.redmine.org`

- External link with specific text : `"Redmine":http://www.redmine.org`

- Link to an other wiki page (can be a page from an other project wiki) :

  - `[[Page name]]`

  - `[[Page name|Title]]`

  - `[[Project:]]`

  - `[[Project:|Title]]`

  - `[[Project:Page name]]`

  - `[[Project:Page name|Title]]`

- Link to an issue : `#52`

- Link to a changeset : `r52`

##### Embedded images

- External image : `!http://foo.bar/my_image.jpg!`

- Image attached to the wiki page : `!my_image.jpg!`

- Right floating image : `!>my_image.jpg!`

### Files

This module allows you to display various folders (sources, binaires, ...) for each version of the application.

## User accounts

### My account

#### Information

This screen allows you to modify your account: lastname, firstname, email address, language.

If Mail notifications is unchecked, no email will be sent to you.

#### Password

To change your password, type your old password and your new password (twice). Password length must be between 4 and 12 characters.

If your account uses an external authentication (LDAP), you can't change your password in redMine.

### My page

This page allows you to display various information about your projects.

To personalize your page, click on Personalize this page. Then you can choose which information to display and where it is displayed.

### Password lost

If you loose your forget, a procedure allows you to choose a new one.

On the login screen, click on Lost password. Type your email address and submit the form. An email is then sent to you. It contains a link that allows you to change your password.

If your account uses an external authentication (LDAP), this procedure isn't be available.

### Register

By registering, you can get an account without the intervention of the administrator.

On the login screen, click on Register. Fill the form and submit it. An email will be sent to you. To activate your account, use the link that is contained in this mail.

The possibility to register can be desactived in the application configuration.